summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-libs/libnova
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-libs/libnova')
-rw-r--r--sci-libs/libnova/Manifest3
-rw-r--r--sci-libs/libnova/files/libnova-0.12.1-configure.patch17
-rw-r--r--sci-libs/libnova/libnova-0.12.3.ebuild52
-rw-r--r--sci-libs/libnova/libnova-0.14.0.ebuild40
-rw-r--r--sci-libs/libnova/libnova-0.15.0.ebuild41
-rw-r--r--sci-libs/libnova/metadata.xml14
6 files changed, 167 insertions, 0 deletions
diff --git a/sci-libs/libnova/Manifest b/sci-libs/libnova/Manifest
new file mode 100644
index 00000000000..c65151ad4fd
--- /dev/null
+++ b/sci-libs/libnova/Manifest
@@ -0,0 +1,3 @@
+DIST libnova-0.12.3.tar.gz 1505676 SHA256 ac250e678e52c9484629e1e934d0d1276db8b431d338887fb98c41ffd2e9b3a2
+DIST libnova-0.14.0.tar.gz 1547373 SHA256 be1b91783310b3803a51d6b224a0eeb171a54e8b0350f7dd0e5ca860484b3145
+DIST libnova-0.15.0.tar.gz 1533794 SHA256 7c5aa33e45a3e7118d77df05af7341e61784284f1e8d0d965307f1663f415bb1 SHA512 77ab0ccbfe462c03a21e88656cb4d6389994ea1da0ee8da997f19a83d24ad8fd9e505e70e1580b75332e826e5b7859b5f2af4417f65eb811440493ba586f2574 WHIRLPOOL c4a016dd479852aa977c1ca07354245d0260816adf41992499f1fbef1edf740f30efd3e64739a247139d93156cbf356a409963b9a9f0236726c2a83c2c0c66d7
diff --git a/sci-libs/libnova/files/libnova-0.12.1-configure.patch b/sci-libs/libnova/files/libnova-0.12.1-configure.patch
new file mode 100644
index 00000000000..b87b27d75dc
--- /dev/null
+++ b/sci-libs/libnova/files/libnova-0.12.1-configure.patch
@@ -0,0 +1,17 @@
+--- configure.in.orig 2007-11-25 19:24:54.503391146 +0000
++++ configure.in 2007-11-25 19:26:16.736077320 +0000
+@@ -54,7 +54,6 @@
+ AC_STRUCT_TM
+
+ LIBS="$LIBS -lm"
+-CFLAGS=-Wall
+
+ # Checks for header files.
+ AC_HEADER_STDC
+@@ -74,5 +73,6 @@
+ src/libnova/Makefile
+ lntest/Makefile
+ doc/Makefile
++doc/doxyfile
+ examples/Makefile
+ ])
diff --git a/sci-libs/libnova/libnova-0.12.3.ebuild b/sci-libs/libnova/libnova-0.12.3.ebuild
new file mode 100644
index 00000000000..860b7834020
--- /dev/null
+++ b/sci-libs/libnova/libnova-0.12.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit eutils autotools flag-o-matic
+
+DESCRIPTION="Celestial Mechanics and Astronomical Calculation Library"
+HOMEPAGE="http://libnova.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="amd64 hppa ppc ppc64 x86"
+IUSE="doc examples"
+
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.12.1-configure.patch
+ # 0.12.3 does not pass test with > -02
+ replace-flags -O? -O1
+ eautoreconf
+}
+
+src_compile() {
+ emake || die "emake failed"
+ if use doc; then
+ cd doc
+ emake doc || die "emake in doc failed"
+ fi
+}
+
+src_test() {
+ emake check || die "emake check failed"
+ "${S}"/lntest/lntest || die "lntest failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc AUTHORS ChangeLog NEWS README || die
+ if use doc; then
+ dohtml doc/html/* || die "dohtml failed"
+ fi
+ if use examples; then
+ make clean
+ rm -f examples/Makefile*
+ insinto /usr/share/doc/${PF}
+ doins -r examples || die
+ fi
+}
diff --git a/sci-libs/libnova/libnova-0.14.0.ebuild b/sci-libs/libnova/libnova-0.14.0.ebuild
new file mode 100644
index 00000000000..fd018b1b02d
--- /dev/null
+++ b/sci-libs/libnova/libnova-0.14.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils
+
+DESCRIPTION="Celestial Mechanics and Astronomical Calculation Library"
+HOMEPAGE="http://libnova.sourceforge.net/"
+SRC_URI="http://dev.gentoo.org/~bicatali/${P}.tar.gz"
+# bad tar ball on sf, rebuild it from svn
+#SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="doc examples static-libs"
+
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_compile() {
+ emake
+ use doc && emake doc
+}
+
+src_install() {
+ default
+ use doc && dohtml doc/html/*
+ if use examples; then
+ make clean
+ rm -f examples/Makefile*
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
diff --git a/sci-libs/libnova/libnova-0.15.0.ebuild b/sci-libs/libnova/libnova-0.15.0.ebuild
new file mode 100644
index 00000000000..cf4d321c7d4
--- /dev/null
+++ b/sci-libs/libnova/libnova-0.15.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+inherit autotools-utils
+
+DESCRIPTION="Celestial Mechanics and Astronomical Calculation Library"
+HOMEPAGE="http://libnova.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+src_prepare() {
+ sed -i -e '/CFLAGS=-Wall/d' configure.in || die
+ autotools-utils_src_prepare
+}
+
+src_compile() {
+ autotools-utils_src_compile
+ use doc && autotools-utils_src_compile -C doc doc
+}
+
+src_install() {
+ autotools-utils_src_install
+ use doc && dohtml doc/html/*
+ if use examples; then
+ make clean
+ rm examples/Makefile*
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
diff --git a/sci-libs/libnova/metadata.xml b/sci-libs/libnova/metadata.xml
new file mode 100644
index 00000000000..2aeb4f9d982
--- /dev/null
+++ b/sci-libs/libnova/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-astronomy</herd>
+ <longdescription lang="en">
+ libnova is a general purpose, double precision, astronomical
+ calculation library. The intended audience of libnova is C / C++ programmers,
+ astronomers and anyone else interested in calculating positions of
+ astronomical objects.
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">libnova</remote-id>
+ </upstream>
+</pkgmetadata>